<?php

use Sami\Sami;
use Sami\Version\GitVersionCollection;
use Symfony\Component\Finder\Finder;

$iterator = Finder::create()
    ->files()
    ->name('*.php')
    ->exclude('database')
    ->exclude('tests')
    ->in($dir = '/Users/dan/Sites/new_seraph/app')
;

// generate documentation for all v2.0.* tags, the 2.0 branch, and the master one
//$versions = GitVersionCollection::create($dir)
//    ->addFromTags('v2.0.*')
//    ->add('2.0', '2.0 branch')
//    ->add('master', 'master branch')
//;

return new Sami($iterator, array(
//    'theme'                => 'symfony',
//    'versions'             => $versions,
    'title'                => 'ArchDB API',
    'build_dir'            => __DIR__.'/sami/build/sf2/%version%',
    'cache_dir'            => __DIR__.'/sami/cache/sf2/%version%',
    'default_opened_level' => 2,
));
